Bug 839780 - RFE: Add support for other languages in the alert CLI scripts
RFE: Add support for other languages in the alert CLI scripts
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Alerts, Core Server (Show other bugs)
4.5
Unspecified Unspecified
unspecified Severity high (vote)
: ---
: RHQ 4.5.0
Assigned To: RHQ Project Maintainer
Mike Foley
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-12 15:59 EDT by Lukas Krejci
Modified: 2013-09-01 06:07 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-01 06:07:55 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Lukas Krejci 2012-07-12 15:59:14 EDT
Description of problem:

The CLI proper can now support multiple programming languages and we already have implemented support for python.

On the other hand, alert scripts in the server are still bound only to javascript.
Without much effort it would be possible to enhance the support for python even in the server even though it would need a change in the scripting apis to be able to  pick a script engine based on the script file extension (which is trivial but still an API change - which would not be a problem if we implemented this before we release 4.5.0 ;) ).

Version-Release number of selected component (if applicable):
4.5.0-SNAPSHOT

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Lukas Krejci 2012-07-13 10:59:28 EDT
To test this, you just need to make sure that javascript alert scripts work if the scripts have the filename with the "js" extension.

Python support is not built in the RHQ server yet, so you can't test that with that.

commit 33db4718581ca09afc259a8e73310ce65a573025
Author: Lukas Krejci <lkrejci@redhat.com>
Date:   Fri Jul 13 16:54:14 2012 +0200

    [BZ 839780] - The scriptengine providers now can tell the file extension of
    the scripts they support. The alert-cli plugin then picks the correct
    script engine implementation for a script based on its file name extension.
Comment 2 Heiko W. Rupp 2013-09-01 06:07:55 EDT
Bulk closing of items that are on_qa and in old RHQ releases, which are out for a long time and where the issue has not been re-opened since.

Note You need to log in before you can comment on or make changes to this bug.